#!/bin/bash

if [ $# -ne 1 ]; then 
	echo utilizare: $0 file.babylon;
	exit;
fi
export nume_fisier=$1
ext=${nume_fisier##*.}
if [ $ext != 'babylon' ]; then
	echo Nu este babylon;
	exit;
fi

if [ ! -e $nume_fisier ]; then
	echo N-am dat de babylon;
	exit;
fi

ultimefisier=$(tail -2 $nume_fisier)
ultimenonstd=$(tail -2 supliment.babylon)
if [ "$ultimefisier" = "$ultimenonstd" ]; then
	echo supliment.babylon este deja inclus;
else
	if [ -e 'supliment.babylon' ]; then
		cat supliment.babylon >> $1;
	else
		echo N-am dat de supliment.babylon;
	fi
fi

